dots.v2.floating_ips.byFloating_ip().actions.post()
Generated on 13 Nov 2026
from DoTs version
v1.24.0
Usage
client.v2.floating_ips.byFloating_ip(floating_ip).actions.post(body: Floating_ip_action_assign | Floating_ip_action_unassign, requestConfiguration?: RequestConfiguration<object>): Promise<undefined | ActionsPostResponse>Description
To initiate an action on a floating IP send a POST request to
/v2/floating_ips/{floating_ip}/actions. In the JSON body to the request,
set the type attribute to on of the supported action types:
| Action | Details |
|---|---|
assign |
Assigns a floating IP to a Droplet |
unassign |
Unassign a floating IP from a Droplet |
Parameters
Path Parameters
floating_ipstring requiredExample:
45.55.96.47A floating IP address.
Request Body
floating_ip_action_unassign
typestring requiredThe type of action to initiate for the floating IP.
floating_ip_action_assign
typestring requiredThe type of action to initiate for the floating IP.
dropletIdinteger requiredExample:
758604968The ID of the Droplet that the floating IP will be assigned to.
Request Sample
Response Example
More Information
See /v2/floating_ips/{floating_ip}/actions in the API reference for additional detail on responses, headers, parameters, and more.